--- /dev/null
+#!/usr/bin/env bash
+set -o errexit
+set -o pipefail
+
+docs_pr_only
+container_pr_only
+gha_pr_only
+qa_pr_only
+if [[ "$DOCS_ONLY" = true || "$CONTAINER_ONLY" = true || "$GHA_ONLY" == true || "$QA_ONLY" == true ]]; then
+ echo "Only the doc/, container/, qa/ or .github/ dir changed. No need to run dashboard tests."
+ exit 0
+fi
wipe-workspace: true
builders:
+ - shell:
+ !include-raw-verbatim:
+ - ../../../scripts/build_utils.sh
+ - ../../build/check_docs_pr_only
- shell: "export FOR_MAKE_CHECK=1; timeout 2h ./src/script/run-make.sh --cmake-args '-DWITH_TESTS=OFF -DENABLE_GIT_VERSION=OFF'"
- shell:
!include-raw-verbatim:
global: true
mask-password-params: true
- credentials-binding:
+ - username-password-separated:
+ credential-id: github-readonly-token
+ username: GITHUB_USER
+ password: GITHUB_PASS
- text:
credential-id: cd-cypress-record-key
variable: CYPRESS_RECORD_KEY
# if this project was started manually
github_status_setup
+docs_pr_only
+container_pr_only
+gha_pr_only
+qa_pr_only
+if [[ "$DOCS_ONLY" = true || "$CONTAINER_ONLY" = true || "$GHA_ONLY" == true || "$QA_ONLY" == true ]]; then
+ echo "Only the doc/, container/, qa/ or .github/ dir changed. No need to run ceph-volume tests."
+ exit 0
+fi
+
# the following two methods exist in scripts/build_utils.sh
pkgs=( "tox" "github-status>0.0.3" )
TEMPVENV=$(create_venv_dir)
- inject-passwords:
global: true
mask-password-params: true
+ - credentials-binding:
+ - username-password-separated:
+ credential-id: github-readonly-token
+ username: GITHUB_USER
+ password: GITHUB_PASS
publishers:
- postbuildscript: